GNU bug report logs - #18219
24.3; font_unparse_xlfd generates defective font names (continued)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christopher Oliver <current.input.port@HIDDEN>; merged with #18217; dated Fri, 8 Aug 2014 03:00:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 18217 18219. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Aug 2014 02:59:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 07 22:59:35 2014
Received: from localhost ([127.0.0.1]:34489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XFaP0-0003Xv-LN
	for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 22:59:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52452)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <current.input.port@HIDDEN>) id 1XFVMa-00034J-Ku
 for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 17:36:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFVMM-0004zB-G6
 for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 17:36:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34371)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFVMM-0004z7-Cl
 for submit <at> debbugs.gnu.org; Thu, 07 Aug 2014 17:36:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:54153)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFVMD-0001Bw-Aw
 for bug-gnu-emacs@HIDDEN; Thu, 07 Aug 2014 17:36:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFVM4-0004yC-AR
 for bug-gnu-emacs@HIDDEN; Thu, 07 Aug 2014 17:36:21 -0400
Received: from mail-ie0-x235.google.com ([2607:f8b0:4001:c03::235]:47204)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <current.input.port@HIDDEN>) id 1XFVM4-0004y7-5V
 for bug-gnu-emacs@HIDDEN; Thu, 07 Aug 2014 17:36:12 -0400
Received: by mail-ie0-f181.google.com with SMTP id rp18so5339704iec.40
 for <bug-gnu-emacs@HIDDEN>; Thu, 07 Aug 2014 14:36:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=date:from:to:subject:message-id:mime-version:content-type
 :content-transfer-encoding;
 bh=KeGgnLpwHQ56UDfva3eo87WQ6ihJAPIKX0NzE9QTKKk=;
 b=QpvRUPB8+Lz0/PdvDRalIbtUO0hvBS6W35Dv9q2gP3gUgdYengJvyLePgQ2nhtPkb6
 G8kxBxzOCNLpNvQnTCdYlbUvu/2IKUc5+qwmIwBNjkgycNqaRMNjs2CVNp6lPcV7Fje5
 w7H4zHKzxxshixq6372KSnZ9xWl5oSiR6gcM/cLdaZrnNsXWQLf/40wBmnIp0ZFwBTlZ
 CUcxbKjorgJ2jI4dkYL83OpNYRQDGHvXuXQ/Ax4+69mIPWhUNuhBtkuDU6aCWmc3PGWT
 F50D3mryAcmuPlENYaSc9QygXY4MCsuK5U1fHrHO8Z17RMGPOUxtEMiSFKpWzMoutE6O
 q6Dw==
X-Received: by 10.42.58.210 with SMTP id j18mr7519776ich.2.1407447371432;
 Thu, 07 Aug 2014 14:36:11 -0700 (PDT)
Received: from onion.private (96-42-150-136.dhcp.trcy.mi.charter.com.
 [96.42.150.136])
 by mx.google.com with ESMTPSA id hu9sm454343igb.22.2014.08.07.14.36.10
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 07 Aug 2014 14:36:10 -0700 (PDT)
Date: Thu, 7 Aug 2014 17:36:09 -0400
From: Christopher Oliver <current.input.port@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; font_unparse_xlfd generates defective font names (continued)
Message-Id: <20140807173609.7815bd6b8257fb28e9113210@HIDDEN>
X-Mailer: Sylpheed 3.3.0 (GTK+ 2.24.20; x86_64-unknown-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 07 Aug 2014 22:59:32 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I glanced at the dehyphenation patch of Kenichi Handa (commits 3b705cd02cf240454f5d934fb8839c09f8b34455 and
24014b635275b14fd2019e72e2a2b6206cad1c1e), and while it addresses the issue of hyphens in font names,
it still misses that the generated names may well be bogus.  On my Slackware system, there are no fonts which
have a weight or slant of 'normal.'  I think it better to move the most likely candidates to the head of the conversion
lists as I have done, and even this is not perfect.  Utopia provides both a regular and medium weight font with
distinct appearance.

-- 
Christopher Oliver <current.input.port@HIDDEN>




Acknowledgement sent to Christopher Oliver <current.input.port@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18219; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.